
-- Nothing really needed to be touched here (Maybe)

addHook('ThinkFrame', function()
	if gametype ~= GT_PIZZATIMEJISK then return end
	
	local exitingCount, playerCount, pizzaCount = JISK_COUNT()
	
	-- better than the old code since it started a new iteration on every IF block.
	
	for player in players.iterate() do
		if leveltime then -- just a safety check
			if ((playerCount > 1) and not (pizzaCount) and JISK_PIZZATIME) or (exitingCount == playerCount) then
				if player.valid and not (player.exiting)
					P_DoPlayerExit(player)
				end
				--print(2)
			elseif (JISK_MAXLAPS.value and JISK_LAPS >= JISK_MAXLAPS.value) or JISK_QUITTING then
				if player.valid and not (player.exiting)
					P_DoPlayerExit(player)
					JISK_QUITTING = true
				end
				--print(3)
			else
				if player.valid and (player.pizzaface or player.spectator) then
					player.exiting = 0
				end
				--print(4)
			end
		end
	end
end)
